<mat-card>
  <mat-card-content>
    <form #loginForm="ngForm">
      <h2>Bienvenido a Giflo</h2>
      <div class="alert alert-danger" role="alert" *ngIf="showError">
        Credenciales Incorrectas
      </div>
      <mat-error *ngIf="showError">
        El correo o contraseña son incorrectos
      </mat-error>
      <mat-form-field class="full-width-input">
        <input matInput placeholder="Correo"  type="email" class="form-control" id="correo" [(ngModel)]="user.correo" name="correo"
        #correo="ngModel" required>
        <mat-error *ngIf="(loginForm.submitted && correo.invalid) || (correo.dirty && correo.invalid)">
          Por favor ingresar un correo válido
        </mat-error>
      </mat-form-field>
      <mat-form-field class="full-width-input">
        <input matInput placeholder="Contraseña" type="password" class="form-control" id="contrasenia" [(ngModel)]="user.contrasenia"
        name="contrasenia" #contrasenia="ngModel" required>
        <mat-error *ngIf="(loginForm.submitted && contrasenia.invalid) || (contrasenia.dirty && contrasenia.invalid)">
          Por favor ingresar una contraseña válida
        </mat-error>
      </mat-form-field>
      <div class="clearfix"></div>
      <button mat-raised-button color="primary" (click)="login(loginForm)">Ingresar</button>
    </form>
  </mat-card-content>
</mat-card>